Subject: Re: [RESEND][PATCH] uio: Add of_platform_driver to uio_pdrv_genirq

From: Wolfram Sang <[email-masked]>
Date: Tue, 16 Dec 2008 13:41:56 +0100

> It is pretty poor form to not even bother to Cc the only author of the
> code you are modifying, and have no Signed-off-by or Acked-by to even
> suggest that it was ever even looked at. This isn't something that ought
> to have to be pointed out, either.

Oops, yes, forgot this in the resend, I am sorry. I did CC Magnus in the
first round, though, and he replied to me that he liked adding OF and
just waited for Hans' reply first.

> In addition to the stuff pointed out by Greg, I don't see what you
> actually gain by hacking the OF crap in to this driver. You would be
> better off layering the OF driver on top of this, rather than trying to
> make them live together in the same file.
> 
> See pata_platform/pata_of_platform for an example of how to do this a bit
> more sanely.

See my reply just posted. I found two ways to go, and from reading
discussions on the lists, finally decided for this way. May have been
the wrong path, but nothing that could not be changed.

Kind regards,

   Wolfram

-- 
  Dipl.-Ing. Wolfram Sang | http://www.pengutronix.de
 Pengutronix - Linux Solutions for Science and Industry